<?php
include_once 'includes.php';
if(isSet($_POST['supdate'])) {
   //Image upload
   $uploads=$_POST['uploads'];
   //Who can see this message
   $secret_option=mysql_real_escape_string($_POST['secret_option']);
   //If the image upload with text
   $update=mysql_real_escape_string($_POST['supdate']);
   // Insert message from data
   $hashtags = hashtag($update);
   $p_mention = mention($update);
   $data=$Mat->Insert_Image_Update($uid,$update,$uploads,$secret_option,$hashtags,$p_mention);
   if($data) {
	   // Show the post
     include("html_posts.php");
    }
}
?>
